/*
     ------------------------------------------------
     LIA_SCT: A DECISION-TREE BASED STRING CLASSIFIER
     ------------------------------------------------
 
     Copyright (C) 2001 FREDERIC BECHET
 
     ..................................................................
 
     This file is part of LIA_SCT
 
     LIA_SCT is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.
 
     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.
 
     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
     ..................................................................
 
     For any publication related to scientific work using LIA_SCT,
     the following reference paper must be mentioned in the bibliography: 
         
     Bechet F., Nasr A., Genet F. 2000, "Tagging unknown proper names
     using decision trees", in 38th Annual Meeting of the Association for
     Computational Linguistics (ACL), Hong-Kong, China, 2000, pp. 77-84
     ..................................................................
                               
     Contact :
               FREDERIC BECHET - LIA - UNIVERSITE D'AVIGNON
               AGROPARC BP1228 84911  AVIGNON  CEDEX 09  FRANCE
               frederic.bechet@lia.univ-avignon.fr
     ..................................................................
*/
/*-----------------------------------------------*/
/*  LIA_SCT * Toolkit de gestion des arbres SCT  */
/*-----------------------------------------------*/
/* Version generique (V2.0) - Fevrier 2001 FRED  */
/*-----------------------------------------------*/

/*  Exploite un arbre produit par 'lia_sct_build'
    Les modes de fonctionnement sont les suivants :
     - General
      * affichage de l'arbre sous forme de pattern
     - Mode SUPERVISE
      * calcule un score sur un fichier d'exemples etiquete
      * etiquette un fichier d'exemple non-etiquete
     - Mode NON SUPERVISE
      * ecris les exemples dans des fichiers correspondant a chaque feuille
*/

/*  Fred 0398 - Modif 0699  - Modif 0100  - Modif 0500  -  Modif 1200 (devt)  
                Modif AT&T : 0901 Repartition of the tests according to the class labels  */

/*................................................................*/

/* affichage des patterns : c'est a dire des expressions
   reguliere (incomplete, car sans les negations */

typedef struct type_pattern
        {
        char *graf,*graf_glb;
        struct type_pattern *suiv,*pred;
        } *ty_pattern;

ty_pattern nouveau_pattern(char *, char *, ty_pattern,ty_pattern);
void affiche_pattern(ty_node,ty_pattern,ty_pattern,double,ty_format);

/*................................................................*/

ty_format lis_descripteur(char *,ty_node *,char *);

void traite_fich_exemple(char *,FILE *,ty_node,char *,int ,double, ty_format, int, int );

double *traverse_string(ty_item, ty_node, ty_format); 
 
